MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::MenuItemType Struct Reference

`#include <MyGUI_MenuItemType.h>`

## Public Types
enum | Enum { Normal, Popup, Separator, MAX }

## Public Member Functions
| MenuItemType (Enum _value=MAX)
std::string | print () const
int | getValue () const

## Static Public Member Functions
static MenuItemType | parse (const std::string &_value)

## Friends
bool | operator== (MenuItemType const &a, MenuItemType const &b)
bool | operator!= (MenuItemType const &a, MenuItemType const &b)
std::ostream & | operator<< (std::ostream &_stream, const MenuItemType &_value)
std::istream & | operator>> (std::istream &_stream, MenuItemType &_value)

## Detailed Description

Definition at line 15 of file MyGUI_MenuItemType.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::MenuItemType::Enum

Enumerator
Normal |
Popup |
Separator |
MAX |

Definition at line 17 of file MyGUI_MenuItemType.h.

## Constructor & Destructor Documentation

## ◆ MenuItemType()

MyGUI::MenuItemType::MenuItemType | ( | Enum | _value = `MAX` | ) |
| inline

Definition at line 25 of file MyGUI_MenuItemType.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::MenuItemType::getValue | ( |  | ) | const
| inline

Definition at line 74 of file MyGUI_MenuItemType.h.

## ◆ parse()

static MenuItemType MyGUI::MenuItemType::parse | ( | const std::string & | _value | ) |
| inline static

Definition at line 30 of file MyGUI_MenuItemType.h.

## ◆ print()

std::string MyGUI::MenuItemType::print | ( |  | ) | const
| inline

Definition at line 69 of file MyGUI_MenuItemType.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | MenuItemType const & | a,
|  | MenuItemType const & | b
| ) |  |
| friend

Definition at line 50 of file MyGUI_MenuItemType.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const MenuItemType & | _value
| ) |  |
| friend

Definition at line 55 of file MyGUI_MenuItemType.h.

## ◆ operator==

bool operator== | ( | MenuItemType const & | a,
|  | MenuItemType const & | b
| ) |  |
| friend

Definition at line 45 of file MyGUI_MenuItemType.h.

## ◆ operator>>

std::istream& operator>> | ( | std::istream & | _stream,
|  | MenuItemType & | _value
| ) |  |
| friend

Definition at line 61 of file MyGUI_MenuItemType.h.

The documentation for this struct was generated from the following file:

- MyGUI_MenuItemType.h